/*
 * Copyright (c) 2005, Bear Bibeault
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *  - Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 *  - Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 *  - The name of Bear Bibeault may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 *
 * This software is provided by the copyright holders and contributors "as is"
 * and any express or implied warranties, including, but not limited to, the
 * implied warranties of merchantability and fitness for a particular purpose
 * are disclaimed. In no event shall the copyright owner or contributors be
 * liable for any direct, indirect, incidental, special, exemplary, or
 * consequential damages (including, but not limited to, procurement of
 * substitute goods or services; loss of use, data, or profits; or business
 * interruption) however caused and on any theory of liability, whether in
 * contract, strict liability, or tort (including negligence or otherwise)
 * arising in any way out of the use of this software, even if advised of the
 * possibility of such damage.
 */
package org.bibeault.jrjournal.ccc.test;

/**
 * Class used to test that the {@link org.bibeault.jrjournal.ccc.ClassConstantInspector} can inspect class
 * constants of various types.
 */
public class Constants {

    public static final String KEY_THIS = "this";
    public static final String KEY_THAT = "that";
    public static final String KEY_THING = "the other thing";
    public static final double PI = 3.14159;
    public static final int LUCKY_NUMBER = 213;

    private static final int NOT_PUBLIC = 0;
    public final int NOT_STATIC = 0;
    public static int NOT_FINAL = 0;

}
